Home Help Center

IIS 7.5 PHP nts FastCGI on Windows Server 2008 R2

mteeuwenmteeuwen Member Mike TeeuwenOrganization: PersonalProject: World of Warcraft guild website
Hello sir/madame,

I'm having difficulties with getting Ice to work on my server and I cannot find a good answer to my problem so I hope someone here can help me.

I'm running a not thread-safe version of php 5.3.6 in IIS 7.5 with FastCGI. This version is recommended.

now I run into some troubles with starting the ICE extension. I get the following error:
php[2984]
PHP Warning:  PHP Startup: ice: Unable to initialize module
Module compiled with build ID=API20090626,TS,VC9
PHP    compiled with build ID=API20090626,NTS,VC9
These options need to match
 in Unknown on line 0

Well I think it's very clear that ICE is build with TS, meaning I have to switch my version of PHP (not recommended) or try to get a NTS version of ICE.

My question is if this is possible and if is, how can I get this done?

Hope anyone here can help me out with this problem. I prefer using IIS over Apache because I got more applications running, also dotnet stuff.

Thanks in advance!

Kind regards,
Michael

Comments

  • mteeuwenmteeuwen Member Mike TeeuwenOrganization: PersonalProject: World of Warcraft guild website
    Still haven't solved it. Anyone can push me into the right direction?
  • bernardbernard Jupiter, FLAdministrators, ZeroC Staff Bernard NormierOrganization: ZeroC, Inc.Project: Ice ZeroC Staff
    Hi Michael,

    You want to build Ice for PHP from sources. Please read carefully the php/INSTALL file in your Ice source distribution.

    Cheers,
    Bernard
  • mteeuwenmteeuwen Member Mike TeeuwenOrganization: PersonalProject: World of Warcraft guild website
    Thank you for your time. That did the trick!

    Cheers,
    Michael
Sign In or Register to comment.